Attribute VB_Name = "modColors"
Option Explicit

'---------------------------------------------------------
' Modulo per la definizione delle costanti di colore di
' uso pi comune
'---------------------------------------------------------

'Colori base
Public Const BIANCO = &HFFFFFF
Public Const NERO = 0&
Public Const GRIGIO = &HC0C0C0
Public Const ROSSO = &HFF&
Public Const ARANCIO = &H80FF&
Public Const GIALLO = &HFFFF&
Public Const VERDE = &HFF00&
Public Const CELESTE = &HFFFF00
Public Const BLU = &HFF0000
Public Const LILLA = &HFF00FF

'Colori scuri
Public Const GRIGIOSCURO = &H808080
Public Const ROSSOSCURO = &HC0&
Public Const ARANCIOSCURO = &H40C0&
Public Const GIALLOSCURO = &HC0C0&
Public Const VERDESCURO = &HC000&
Public Const CELESTESCURO = &HC0C000
Public Const BLUSCURO = &HC00000
Public Const LILLASCURO = &HC000C0

'Colori chiari
Public Const GRIGIOCHIARO = &HE0E0E0
Public Const ROSSOCHIARO = &HC0C0FF
Public Const ARANCIOCHIARO = &HC0E0FF
Public Const GIALLOCHIARO = &HC0FFFF
Public Const VERDECHIARO = &HC0FFC0
Public Const CELESTECHIARO = &HFFFFC0
Public Const BLUCHIARO = &HFFC0C0
Public Const LILLACHIARO = &HFFC0FF

'Colori "Dark"
Public Const GRIGIODARK = &H404040
Public Const ROSSODARK = &H80&
Public Const ARANCIODARK = &H4080&
Public Const GIALLODARK = &H8080&
Public Const VERDEDARK = &H8000&
Public Const CELESTEDARK = &H808000
Public Const BLUDARK = &H800000
Public Const LILLADARK = &H800080

'API Per i buttons
Declare Function SetCapture Lib "user32" (ByVal hwnd As Long) As Long
Declare Function ReleaseCapture Lib "user32" () As Long
Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Declare Function SelectObject Lib "gdi32" (ByVal hdc As Long, ByVal hObject As Long) As Long
Declare Function CreateCompatibleDC Lib "gdi32" (ByVal hdc As Long) As Long
Declare Function DeleteDC Lib "gdi32" (ByVal hdc As Long) As Long

Public Const SRCCOPY = &HCC0020
Public Const NOTSRCCOPY = &H330008
Public Const SRCPAINT = &HEE0086

Declare Function SetPixel Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal crColor As Long) As Long
Declare Function GetPixel Lib "gdi32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long) As Long
Declare Function CreateCompatibleBitmap Lib "gdi32" (ByVal hdc As Long, ByVal nWidth As Long, ByVal nHeight As Long) As Long
